org.richfaces.event

## Class PanelToggleEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.faces.event.FacesEvent
    - - org.richfaces.event.PanelToggleEvent

- All Implemented Interfaces:
    Serializable

      public class PanelToggleEvent
      extends javax.faces.event.FacesEvent

  Since:
    2010-08-27
  Author:
    akolonitsky
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PanelToggleEvent(javax.faces.component.UIComponent component, Boolean isExpanded)` Construct a new event object from the specified source component, old value, and new value.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Boolean` | `getExpanded()`
    `boolean` | `isAppropriateListener(javax.faces.event.FacesListener listener)`
    `void` | `processListener(javax.faces.event.FacesListener listener)`

    - ### Methods inherited from class javax.faces.event.FacesEvent

      `getComponent, getPhaseId, queue, setPhaseId`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PanelToggleEvent

          public PanelToggleEvent(javax.faces.component.UIComponent component,
                                  Boolean isExpanded)

      Construct a new event object from the specified source component, old value, and new value.

      The default `PhaseId` for this event is `PhaseId.ANY_PHASE`.

      Parameters:
        `component` - Source `UIComponent` for this event
        `isExpanded` -
      Throws:
        `IllegalArgumentException` - if `component` is `null`

  - ### Method Detail

    - #### getExpanded

          public Boolean getExpanded()

    - #### isAppropriateListener

          public boolean isAppropriateListener(javax.faces.event.FacesListener listener)

      Specified by:
        `isAppropriateListener` in class `javax.faces.event.FacesEvent`

    - #### processListener

          public void processListener(javax.faces.event.FacesListener listener)

      Specified by:
        `processListener` in class `javax.faces.event.FacesEvent`
      Throws:
        `javax.faces.event.AbortProcessingException`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.